.product-card {
    display: block;
    width: 380px;
    // height: 500px;
    border: 1px solid gainsboro;

    &:hover {
        transform: scale(1.02);
        transition: all 0.8s;
        border: 1px solid #FF2A47;

    }

    &_wrapper {
        display: flex;
        justify-content: center;
        align-items: flex-start;
        flex-direction: row-reverse;

        &_remove-btn {
            margin: 15px;
            font-size: 22px;
            border: transparent;
            background-color: transparent;
            color: #FF2A47;
            transition: all 1s;

            &:hover {
                border: 2px solid #FF2A47;
                font-size: 26px;
                cursor: pointer;
            }
        }

        &_img {
            // width: 330px;
            // height: 330px;
            margin: 10px;
            text-align: center;
            position: relative;
            overflow: hidden;
        }
    }

    // &_img {
    //     // width: 330px;
    //     // height: 330px;
    //     margin: 10px;
    //     text-align: center;
    //     position: relative;
    //     overflow: hidden;
    // }
    //     &_remove-btn {
    //         display: flex;
    //         justify-content: end;
    //         margin: 25px;
    //         font-size: 22px;
    //         border: transparent;
    //         background-color: transparent;
    //         color: #FF2A47;
    //         transition: all 1s;

    //         &:hover {
    //             border: 2px solid white;
    //             font-size: 26px;
    //             cursor: pointer;
    //         }
    //     }
    &_favorite-container {
        display: flex;
        justify-content: flex-end;
        margin: 15px;

        &_icon {
            cursor: pointer;
        }

    }

    &_body {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;

        &_title {
            display: block;
            margin: 5px 15px;
            height: 2rem;

        }

        &_color {
            margin: 0 15px;
        }

    }

    &_footer {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin: 20px 15px;

        &_price {
            font-weight: bold;
        }

        &_btn-buy {
            border-radius: 5px;
            padding: 15px 10px;
            font-size: 16px;
            color: #ffffff;
            border: 2px #ffffff solid;
            cursor: pointer;
            transition: all .5s;

            &:hover {
                cursor: pointer;
                transform: scale(1.02);
                box-shadow: 1px 2px 5px 0px rgba(0, 0, 0, 0.75);
            }
        }

        &_btn-inbasket {
            border-radius: 5px;
            padding: 15px 10px;
            font-size: 16px;
            color: #FF2A47;
            border: 2px #FF2A47 solid;
        }
    }
}

.product-card-table {
    border: 1px solid gainsboro;
    display: grid;
    justify-content: space-between;
    margin-bottom: 10px;
    grid-template-columns: 2fr .5fr 1fr;

    &_wrapper {
        display: flex;
        justify-content: flex-start;
        align-items: center;
    }

    &_favorite-container {

        display: flex;
        justify-content: center;

        align-items: center;
    }
}